Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity and Access Management
  • Secure use of Yandex Cloud
  • Access management
  • Pricing policy
  • Role reference
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. OAuthClient
  4. Get

Identity and Access Management API, REST: OAuthClient.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the sepcified OAuthClient resource.
To get the list of available OAuthClient resources, make a List request.

HTTP requestHTTP request

GET https://iam.api.cloud.yandex.net/iam/v1/oauthClients/{oauthClientId}

Path parametersPath parameters

Field

Description

oauthClientId

string

Required field. ID of the OAuthClient resource to return.
To get the oauth client ID, use a OAuthClientService.List request.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "name": "string",
  "redirectUris": [
    "string"
  ],
  "scopes": [
    "string"
  ],
  "folderId": "string",
  "authenticationMethods": [
    "string"
  ],
  "status": "string",
  "profileId": "string",
  "pkceRequired": "boolean"
}

An OauthClient resource.

Field

Description

id

string

ID of the oauth client.

name

string

Name for the oauth client.

redirectUris[]

string

List of redirect uries allowed for the oauth client.

scopes[]

string

List of oauth scopes requested by the oauth client.

folderId

string

ID of the folder oauth client belongs to.

authenticationMethods[]

string

List of authentication methods allowed for the oauth client.

status

enum (Status)

Current status of the oauth client.

  • CREATING: OAuth client is being created.
  • ACTIVE: OAuth client is active.
  • DELETING: OAuth client is being deleted.

profileId

string

ID of the profile that defines the set of allowed settings for the oauth client.

pkceRequired

boolean

Whether PKCE (Proof Key for Code Exchange) is required for the oauth client during the authorization code flow.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.